<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>highlight</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="highlight">
<span id="ext-highlight"></span>
<h1 class="title">highlight</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
</ul>
</div>
<p>syntax highlighting for hgweb (requires Pygments)</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>It depends on the Pygments syntax highlighting library:
<a class="reference external" href="http://pygments.org/">http://pygments.org/</a></p>
<p>There are the following configuration options:</p>
<pre class="literal-block">
[web]
pygments_style = &lt;style&gt; (default: colorful)
highlightfiles = &lt;fileset&gt; (default: size('&lt;5M'))
highlightonlymatchfilename = &lt;bool&gt; (default False)
</pre>
<p><tt class="docutils literal">highlightonlymatchfilename</tt> will only highlight files if their type could
be identified by their filename. When this is not enabled (the default),
Pygments will try very hard to identify the file type from content and any
match (even matches with a low confidence score) will be used.</p>
</div>
</div>
</body>
</html>
